com.lowagie.tools

## Class Executable

- java.lang.Object
- - com.lowagie.tools.Executable

-     public class Executable
      extends java.lang.Object

  This class enables you to call an executable that will show a PDF file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `acroread` The path to Acrobat Reader.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Executable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.lang.Process` | `action(java.lang.String fileName, java.lang.String parameters, boolean waitForTermination)` Performs an action on a PDF document.
    `static boolean` | `isLinux()` Checks the Operating System.
    `static boolean` | `isMac()` Checks the Operating System.
    `static boolean` | `isWindows()` Checks the Operating System.
    `static boolean` | `isWindows9X()` Checks the Operating System.
    `static void` | `launchBrowser(java.lang.String url)` Launches a browser opening an URL.
    `static java.lang.Process` | `openDocument(java.io.File file)` Opens a PDF document.
    `static java.lang.Process` | `openDocument(java.io.File file, boolean waitForTermination)` Opens a PDF document.
    `static java.lang.Process` | `openDocument(java.lang.String fileName)` Opens a PDF document.
    `static java.lang.Process` | `openDocument(java.lang.String fileName, boolean waitForTermination)` Opens a PDF document.
    `static java.lang.Process` | `printDocument(java.io.File file)` Prints a PDF document.
    `static java.lang.Process` | `printDocument(java.io.File file, boolean waitForTermination)` Prints a PDF document.
    `static java.lang.Process` | `printDocument(java.lang.String fileName)` Prints a PDF document.
    `static java.lang.Process` | `printDocument(java.lang.String fileName, boolean waitForTermination)` Prints a PDF document.
    `static java.lang.Process` | `printDocumentSilent(java.io.File file)` Prints a PDF document without opening a Dialog box.
    `static java.lang.Process` | `printDocumentSilent(java.io.File file, boolean waitForTermination)` Prints a PDF document without opening a Dialog box.
    `static java.lang.Process` | `printDocumentSilent(java.lang.String fileName)` Prints a PDF document without opening a Dialog box.
    `static java.lang.Process` | `printDocumentSilent(java.lang.String fileName, boolean waitForTermination)` Prints a PDF document without opening a Dialog box.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### acroread

          public static java.lang.String acroread

      The path to Acrobat Reader.

  - ### Constructor Detail

    - #### Executable

          public Executable()

  - ### Method Detail

    - #### action

          private static java.lang.Process action(java.lang.String fileName,
                                 java.lang.String parameters,
                                 boolean waitForTermination)
                                           throws java.io.IOException

      Performs an action on a PDF document.
      Parameters:
        `fileName` -
        `parameters` -
        `waitForTermination` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### openDocument

          public static final java.lang.Process openDocument(java.lang.String fileName,
                                       boolean waitForTermination)
                                                      throws java.io.IOException

      Opens a PDF document.
      Parameters:
        `fileName` -
        `waitForTermination` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### openDocument

          public static final java.lang.Process openDocument(java.io.File file,
                                       boolean waitForTermination)
                                                      throws java.io.IOException

      Opens a PDF document.
      Parameters:
        `file` -
        `waitForTermination` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### openDocument

          public static final java.lang.Process openDocument(java.lang.String fileName)
                                                      throws java.io.IOException

      Opens a PDF document.
      Parameters:
        `fileName` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### openDocument

          public static final java.lang.Process openDocument(java.io.File file)
                                                      throws java.io.IOException

      Opens a PDF document.
      Parameters:
        `file` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### printDocument

          public static final java.lang.Process printDocument(java.lang.String fileName,
                                        boolean waitForTermination)
                                                       throws java.io.IOException

      Prints a PDF document.
      Parameters:
        `fileName` -
        `waitForTermination` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### printDocument

          public static final java.lang.Process printDocument(java.io.File file,
                                        boolean waitForTermination)
                                                       throws java.io.IOException

      Prints a PDF document.
      Parameters:
        `file` -
        `waitForTermination` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### printDocument

          public static final java.lang.Process printDocument(java.lang.String fileName)
                                                       throws java.io.IOException

      Prints a PDF document.
      Parameters:
        `fileName` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### printDocument

          public static final java.lang.Process printDocument(java.io.File file)
                                                       throws java.io.IOException

      Prints a PDF document.
      Parameters:
        `file` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### printDocumentSilent

          public static final java.lang.Process printDocumentSilent(java.lang.String fileName,
                                              boolean waitForTermination)
                                                             throws java.io.IOException

      Prints a PDF document without opening a Dialog box.
      Parameters:
        `fileName` -
        `waitForTermination` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### printDocumentSilent

          public static final java.lang.Process printDocumentSilent(java.io.File file,
                                              boolean waitForTermination)
                                                             throws java.io.IOException

      Prints a PDF document without opening a Dialog box.
      Parameters:
        `file` -
        `waitForTermination` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### printDocumentSilent

          public static final java.lang.Process printDocumentSilent(java.lang.String fileName)
                                                             throws java.io.IOException

      Prints a PDF document without opening a Dialog box.
      Parameters:
        `fileName` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### printDocumentSilent

          public static final java.lang.Process printDocumentSilent(java.io.File file)
                                                             throws java.io.IOException

      Prints a PDF document without opening a Dialog box.
      Parameters:
        `file` -
      Returns:
        a process
      Throws:
        `java.io.IOException`

    - #### launchBrowser

          public static final void launchBrowser(java.lang.String url)
                                          throws java.io.IOException

      Launches a browser opening an URL.
      Parameters:
        `url` - the URL you want to open in the browser
      Throws:
        `java.io.IOException`

    - #### isWindows

          public static boolean isWindows()

      Checks the Operating System.
      Returns:
        true if the current os is Windows

    - #### isWindows9X

          public static boolean isWindows9X()

      Checks the Operating System.
      Returns:
        true if the current os is Windows

    - #### isMac

          public static boolean isMac()

      Checks the Operating System.
      Returns:
        true if the current os is Apple

    - #### isLinux

          public static boolean isLinux()

      Checks the Operating System.
      Returns:
        true if the current os is Linux